package com.ruoyi.system.domain.wx;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 预支付请求类
 * @Author: tjf
 * @Date: 2024/1/17 14:04
 * @Describe:
 */

public class WxPayOrderReqVo {

    //附加数据，回调时可根据这个数据辨别订单类型或其他
    @NotBlank(message = "订单支付类型不能为空！")
    private String orderType;

    @NotNull(message = "总金额不能为空！")
    private Integer totalPrice;

    @NotBlank(message = "商品名称不能为空！")
    private String goodsName;

    @NotBlank(message = "openId不能为空！")
    private String openId;

    @NotNull(message = "商品订单号不能为空！")
    private Long orderSn;

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public Integer getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(Integer totalPrice) {
        this.totalPrice = totalPrice;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public Long getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(Long orderSn) {
        this.orderSn = orderSn;
    }

    @Override
    public String toString() {
        return "WxPayOrderReqVo{" +
                "orderType='" + orderType + '\'' +
                ", totalPrice=" + totalPrice +
                ", goodsName='" + goodsName + '\'' +
                ", openId='" + openId + '\'' +
                ", orderSn=" + orderSn +
                '}';
    }
}
